Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Priority_Scheduling Class Reference

A scheduling strategy that uses TAO's real-time scheduler. More...

`#include <EC_Priority_Scheduling.h>`

Inheritance diagram for TAO_EC_Priority_Scheduling

[legend]
Collaboration diagram for TAO_EC_Priority_Scheduling:

[legend]
List of all members.

## Public Methods
| TAO_EC_Priority_Scheduling (RtecScheduler::Scheduler_ptr scheduler)
| Constructor.
virtual | ~TAO_EC_Priority_Scheduling (void)
| Destructor.
virtual void | add_proxy_supplier_dependencies ( TAO_EC_ProxyPushSupplier *supplier, TAO_EC_ProxyPushConsumer *consumer, CORBA::Environment &ACE_TRY_ENV)
| Add all the dependencies between <supplier> and <consumer>.
virtual void | init_event_qos ( const RtecEventComm::EventHeader& header, TAO_EC_ProxyPushConsumer *consumer, TAO_EC_QOS_Info& qos_info, CORBA::Environment &ACE_TRY_ENV)
| Initializes <qos_info> based on the QoS information for <consumer> and the event header.

## Detailed Description

A scheduling strategy that uses TAO's real-time scheduler.

This implementation of the Scheduling_Strategy uses TAO's real-time scheduler.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Priority_Scheduling::TAO_EC_Priority_Scheduling ( | RtecScheduler::Scheduler_ptr scheduler )

| Constructor.

TAO_EC_Priority_Scheduling::~TAO_EC_Priority_Scheduling ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_EC_Priority_Scheduling::add_proxy_supplier_dependencies ( | TAO_EC_ProxyPushSupplier * supplier,
| TAO_EC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Add all the dependencies between <supplier> and <consumer>. Reimplemented from TAO_EC_Scheduling_Strategy.

void TAO_EC_Priority_Scheduling::init_event_qos ( | const RtecEventComm::EventHeader & header,
| TAO_EC_ProxyPushConsumer * consumer,
| TAO_EC_QOS_Info & qos_info,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Initializes <qos_info> based on the QoS information for <consumer> and the event header. Reimplemented from TAO_EC_Scheduling_Strategy.

The documentation for this class was generated from the following files:

- EC_Priority_Scheduling.h
- EC_Priority_Scheduling.cpp
- EC_Priority_Scheduling.i